title: dwms-pdf-quarto
author: Ming Su
version: 0.0.1
quarto-required: ">=1.3.0"
contributes:
  formats:
    common:
      knitr:
        opts_chunk:
          echo: false
          message: false
          warning: false
    pdf:
      documentclass: ctexbook  # 使用ctexbook文档类专门处理中文
      classoption:
        - fntef
        - UTF8
        # - scheme=plain  # 标题样式方案
        - zihao=-4     # 正文字号小四
      papersize: a4
      geometry: [left=2.5cm, right=2.5cm, top=2.54cm, bottom=2.54cm]
      linestretch: 1.25
      toc: true
      toc-depth: 3
      number-sections: true
      lang: zh-CN
      fig-pos: "!t"
      colorlinks: true
      urlcolor: blue
      sansfont: "Gill Sans"
      sansfontoptions: 
        - Color=39729E
      mainfont: "Source Sans 3" #| Verdana (fontsize: 11pt) # Source Sans 3 | Times New Roman| Helvetica | PT Sans
      monofont: "JetBrains Mono"
      mathfont: "Cambria Math"
      # 确保中文标点符号正确处理
      CJKoptions: |
        AutoFakeBold=true
      block-headings: false
      include-in-header: header.tex
      template-partials:
        - "partials/title.tex"
        - "partials/before-body.tex"
        - "partials/after-body.tex"
filters:
  - latex-environment
lightbox: auto
